Bug 1313882 - nova - multiple block_device_mapping records
nova - multiple block_device_mapping records
Status: ON_DEV
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-nova (Show other bugs)
6.0 (Juno)
All Linux
high Severity high
: Upstream M2
: 14.0 (Rocky)
Assigned To: Lee Yarwood
Joe H. Rahme
: Triaged
: 1305408 1340996 1341937 1342347 1376818 (view as bug list)
Depends On:
Blocks: 1235795 1273812
  Show dependency treegraph
 
Reported: 2016-03-02 09:23 EST by Simon Reber
Modified: 2018-05-21 21:53 EDT (History)
24 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1427060 None None None 2016-03-09 06:11 EST
Red Hat Knowledge Base (Solution) 2155951 None None None 2016-08-29 02:05 EDT
Red Hat Knowledge Base (Solution) 2649741 None None None 2018-01-08 09:48 EST

  None (edit)
Comment 3 Nikola Dipanov 2016-03-04 08:44:28 EST
This bug seems like a likely duplicate of BZ 1305408, but will not mark it as such yet before we are sure.

We will need to get the logs to investigate further, preferably from the time when the stress testing happened that leads to the bug.

Additionally - we would also want _exact_ commands used to do the stress testing as opposed to just descriptions.
Comment 8 Nikola Dipanov 2016-03-09 06:11:11 EST
Ok so I spent some time digging into the already reported bugs and it seems that this has been reported already:

  https://bugs.launchpad.net/nova/+bug/1427060

The proposed patch:

  https://review.openstack.org/#/c/163177/

seems outdated though, so I'll try to work on a more up-to-date one.
Comment 19 Lee Yarwood 2016-11-16 10:39:46 EST
Opening this bug up so that other duplicates can be closed out.
Comment 20 Lee Yarwood 2016-11-16 10:41:13 EST
*** Bug 1342347 has been marked as a duplicate of this bug. ***
Comment 21 Lee Yarwood 2016-11-16 10:41:15 EST
*** Bug 1341937 has been marked as a duplicate of this bug. ***
Comment 22 Lee Yarwood 2016-11-16 10:41:17 EST
*** Bug 1340996 has been marked as a duplicate of this bug. ***
Comment 25 Lee Yarwood 2017-01-21 11:48:26 EST
*** Bug 1305408 has been marked as a duplicate of this bug. ***
Comment 28 Lee Yarwood 2018-01-08 09:48:22 EST
*** Bug 1376818 has been marked as a duplicate of this bug. ***
Comment 31 Lee Yarwood 2018-03-22 08:53:25 EDT
Moving back to ON_DEV, the current plan is to remove duplicate BDMs in 14/R with an online migration before then introducing a new constraint around volume_id and instance_uuid on the table in 15/S. While this doesn't fix the underlying race it will ensure duplicate records are not left in the DB.

Note You need to log in before you can comment on or make changes to this bug.